<script>
import { handleLogin } from '$lib/auth/login'
import { tokens } from '../../stores/authToken'
import { goto } from '$app/navigation'
import { REDIRECTS } from '$lib/utils';

async function handleAuth() {
    const login  = await handleLogin({username:'root',password:'toor'})
    tokens.set(login)
    goto(REDIRECTS.organizations.list)
}

</script>

<div>
    <form>
        <label for="username">Username</label>
        <input type="text">
        <label for="password">Password</label>
        <input type="password">
        <button on:click={handleAuth}>Login</button>
    </form>
</div>

